Skip to main content
POST
Create App Invite

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
base_url
string
required

URL the invite code is appended to. Must have a scheme and host and no 'code' query parameter.

Example:

"https://example.com/invite"

installation_id
integer<int64>
required
Example:

42

data
any
display_name
string

Display name shown to the invitee. Non-empty, at most 1023 characters once trimmed.

Required string length: 1 - 1023
Example:

"Partner onboarding invite"

invitee_name
string

Name of the invitee. Non-empty, at most 1023 characters once trimmed.

Required string length: 1 - 1023
Example:

"Jane Smith"

tags
string[]

Free-form tag on an invite. Non-empty, at most 128 characters once trimmed.

Required string length: 1 - 128
Example:

Response

CreateAppInvite 201 response

id
string
required

App invite id in UUID format.

Pattern: ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$
Example:

"a1b2c3d4-e5f6-7890-abcd-ef1234567890"

app
object
required
Example:
code
string
required

24-character alphanumeric invite code.

Pattern: ^[A-Za-z0-9]{24}$
Example:

"abc123def456ghi789jkl012"

company
object
required
Example:
created_at
string<date-time>
required
Example:

"2025-01-01T00:00:00Z"

installation_id
integer<int64>
required
status
enum<string>
required
Available options:
pending,
active,
archived
Example:

"pending"

tags
string[]
required

Free-form tag on an invite. Non-empty, at most 128 characters once trimmed.

Required string length: 1 - 128
Example:
updated_at
string<date-time>
required
Example:

"2025-01-15T10:30:00Z"

url
string
required

The full invite URL: base_url with the invite code appended as a query parameter.

Example:

"https://example.com/invite?code=abc123def456ghi789jkl012"

activated_at
string<date-time>
Example:

"2025-01-15T10:30:00Z"

data
any
display_name
string

Display name shown to the invitee. Non-empty, at most 1023 characters once trimmed.

Required string length: 1 - 1023
Example:

"Partner onboarding invite"

invitee_name
string

Name of the invitee. Non-empty, at most 1023 characters once trimmed.

Required string length: 1 - 1023
Example:

"Jane Smith"